Find medicines by brand or generic name

Searches medicines by brand or generic name. Returns brand and generic names, manufacturer, route and product type.

Request

GEThttps://drug-information.p.apihiver.com/v1/search?name=ibuprofen&limit=2
*
String. Brand or generic medicine name, e.g. ibuprofen.
Number. Maximum number of results (1–50, default 10).
Language
Client
1curl --request GET \
2  --url 'https://drug-information.p.apihiver.com/v1/search?name=ibuprofen&limit=2' \
3  --header 'Accept: application/json' \
4  --header 'X-API-Key: YOUR_API_KEY'

Find medicines by brand or generic name: Drug Information API reference

Searches medicines by brand or generic name. Returns brand and generic names, manufacturer, route and product type. This endpoint is part of the Drug Information API: Medicine information from the US FDA: uses, dosage, warnings, side effects, reported adverse events and recalls.

Example response (200, application/json)

Success.

1{
2  "count": 2,
3  "query": "ibuprofen",
4  "source": "openFDA",
5  "results": [
6    {
7      "route": [
8        "ORAL"
9      ],
10      "label_id": "4bd1345d-d116-426e-825f-bbf29381746a",
11      "brand_names": [
12        "Ibuprofen Dye Free"
13      ],
14      "manufacturer": "CVS Pharmacy",
15      "product_type": "HUMAN OTC DRUG",
16      "generic_names": [
17        "IBUPROFEN"
18      ]
19    },
20    {
21      "route": [
22        "ORAL"
23      ],
24      "label_id": "ec4746b3-2707-40c5-bb70-58a42f46c249",
25      "brand_names": [
26        "care one ibuprofen"
27      ],
28      "manufacturer": "American Sales Company",
29      "product_type": "HUMAN OTC DRUG",
30      "generic_names": [
31        "IBUPROFEN"
32      ]
33    }
34  ]
35}

Errors

  • 400 — A required parameter is missing or a value has the wrong format.
    1{
    2  "error": {
    3    "code": "INVALID_INPUT",
    4    "message": "name: Field required"
    5  }
    6}

Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.